<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [git-documentdb](./git-documentdb.md) &gt; [CannotOpenRepositoryError](./git-documentdb.cannotopenrepositoryerror.md) &gt; [(constructor)](./git-documentdb.cannotopenrepositoryerror._constructor_.md)

## CannotOpenRepositoryError.(constructor)

Constructs a new instance of the `CannotOpenRepositoryError` class

<b>Signature:</b>

```typescript
constructor(err: string);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  err | string |  |

